using Plus.HabboHotel.Rooms.Polls.Quick;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Outgoing.Rooms.Polls.Quick
{
    class MatchingPollComposer: ServerPacket
    {
        public MatchingPollComposer(QuickPoll Poll)
            : base(ServerPacketHeader.MatchingPollMessageComposer)
        {
            base.WriteString("1");
            base.WriteInteger(Poll.Id);
            base.WriteInteger(3);
            base.WriteInteger(Poll.ReamigTime);

            base.WriteInteger(0);
            base.WriteInteger(0);
            base.WriteInteger(0);

            base.WriteString(Poll.Title);

            base.WriteInteger(-1);

            base.WriteInteger(0);
        }
    }
}
